%global perl_package_name perlfaq
Name:           perl-perlfaq
Version:        5.20230701
Release:        1
Summary:        Frequently asked questions about Perl
License:        (GPL+ or Artistic) and Public Domain
URL:            https://metacpan.org/release/perlfaq
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{perl_package_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:	gcc make
BuildRequires:	perl-interpreter
BuildRequires:	perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Test::Simple)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Conflicts:      perl < 4:5.22.0-347

%description
The perlfaq comprises several documents that answer the most commonly asked
questions about Perl and Perl programming.

%package_help

%prep
%autosetup -n %{perl_package_name}-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} -c $RPM_BUILD_ROOT

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*

%files help
%{_mandir}/man3/*

%changelog
* Tue Jul 18 2023 renhongxun <renhongxun@h-partners.com> - 5.20230701-1
- upgrade version to 5.20230701

* Tue Oct 25 2022 renhongxun <renhongxun@h-partners.com> - 5.20210520-2
- Rebuild for next release

* Mon Dec  6 2021 guozhaorui <guozhaorui@huawei.com> - 5.20210520-1
- update version to 5.20210520

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 5.20200523-2
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Sat Jul 25 2020 zhanzhimin <zhanzhimin@huawei.com> - 5.20200523-1
- Bump to version 5.20200523

* Mon Dec 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.20180915-5
- Type:NA
- ID:NA
- SUG:NA
- DESC:modify email adress

* Thu Sep 26 2019 shenyangyang<shenyangyang4@huawei.com> - 5.20180915-4
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:revise help package

* Tue Aug 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.20180915-3
- Package Init
